Debian Bug report logs - #497523
xserver-xorg-input-synaptic: tapping is not recognized as button pressed

version graph

Package: xserver-xorg-input-synaptics; Maintainer for xserver-xorg-input-synaptics is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-input-synaptics is src:xserver-xorg-input-synaptics.

Reported by: Paul Menzel <pm.debian@googlemail.com>

Date: Tue, 2 Sep 2008 11:03:01 UTC

Severity: normal

Tags: fixed-upstream, upstream

Merged with 513545, 513875, 523581

Found in versions xfree86-driver-synaptics/0.15.0+git20080820-1, xserver-xorg-input-synaptics/0.99.3-3, xserver-xorg-input-synaptics/1.1.0-1

Fixed in version xserver-xorg-input-synaptics/1.1.1~git20090510-1

Done: Mattia Dongili <malattia@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-input-synaptic: tapping is not recognized as button pressed
Date: Tue, 02 Sep 2008 12:55:07 +0200
[Message part 1 (text/plain, inline)]
Subject: xserver-xorg-input-synaptic: tapping is not recognized as button pressed
Package: xserver-xorg-input-synaptics
Version: 0.15.0+git20080820-1
Severity: normal
File: xserver-xorg-input-synaptic

*** Please type your report below this line ***

Dear DDs,


the tapping is not recognized as a mouse click. It worked with the
version from Sid. Scrolling works though.

I attached xorg.conf and Xorg.0.log. What other logs can I provide?


Thanks,

Paul

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-input-synaptics depends on:
ii  libc6                     2.7-13         GNU C Library: Shared libraries
ii  libx11-6                  2:1.1.4-2      X11 client-side library
ii  libxi6                    2:1.1.3-1      X11 Input extension library
ii  xserver-xorg-core         2:1.4.99.906-2 Xorg X server - core server

xserver-xorg-input-synaptics recommends no packages.

Versions of packages xserver-xorg-input-synaptics suggests:
pn  gsynaptics | ksynaptics | qsy <none>     (no description available)

-- no debconf information
[xorg.conf (text/plain, attachment)]
[Xorg.0.log (text/x-log, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. Full text and rfc822 format available.

Acknowledgement sent to Vedran Furač <vedran.furac@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 497523@bugs.debian.org (full text, mbox):

From: Vedran Furač <vedranf1@gmail.com>
To: 497523@bugs.debian.org
Cc: 497523-submitter@bugs.debian.org
Subject: I can confirm this...
Date: Thu, 11 Sep 2008 03:33:09 +0200
I have the same problem with this version of synaptics driver. This is
probably related to the line:

(WW) SynPS/2 Synaptics TouchPad can't grab event device, errno=16

Regards,

Vedran





Message sent on to Paul Menzel <pm.debian@googlemail.com>:
Bug#497523. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #18 received at 497523@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Vedran Furač <vedran.furac@gmail.com>, 497523@bugs.debian.org
Subject: Re: Bug#497523: I can confirm this...
Date: Thu, 11 Sep 2008 03:12:57 +0100
tag 497523 upstream fixed-upstream
kthxbye

On Thu, Sep 11, 2008 at 03:33:09 +0200, Vedran Furač wrote:

> I have the same problem with this version of synaptics driver. This is
> probably related to the line:
> 
> (WW) SynPS/2 Synaptics TouchPad can't grab event device, errno=16
> 
No, it's related to
http://cgit.freedesktop.org/xorg/driver/xf86-input-synaptics/commit/?id=fb98432436c5e1cc69b5f4b84f625e3700e51e04
That commit has been reverted before 0.15.1, so will presumably be
included in the next upload, whenever that happens.

Cheers,
Julien




Tags added: upstream, fixed-upstream Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 11 Sep 2008 02:18:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Mon, 22 Sep 2008 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Fontaine <arnau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 22 Sep 2008 15:00:03 GMT) Full text and rfc822 format available.

Message #25 received at 497523@bugs.debian.org (full text, mbox):

From: Arnaud Fontaine <arnau@debian.org>
To: 497523@bugs.debian.org
Cc: Vedran Furač <vedran.furac@gmail.com>, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#497523: I can confirm this...
Date: Mon, 22 Sep 2008 16:55:45 +0200
[Message part 1 (text/plain, inline)]
Hello,

I packaged quickly xserver-xorg-input-synaptics 0.5.2 but the problem is
still  there.  I attached  to this  mail my  Xorg log  and configuration
files. Does anyone has a solution to this annoying problem?

Cheers,
Arnaud Fontaine

[xorg.conf (text/plain, attachment)]
[Xorg.0.log (text/plain, attachment)]
[Message part 4 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Mon, 22 Sep 2008 21:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Arvidsson <sa@whiz.se>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 22 Sep 2008 21:09:02 GMT) Full text and rfc822 format available.

Message #30 received at 497523@bugs.debian.org (full text, mbox):

From: Sven Arvidsson <sa@whiz.se>
To: Paul Menzel <pm.debian@googlemail.com>, Vedran Furač <vedranf1@gmail.com>, Julien Cristau <jcristau@debian.org>
Cc: 497523@bugs.debian.org
Subject: Re: Bug#497523: I can confirm this...
Date: Mon, 22 Sep 2008 23:06:00 +0200
[Message part 1 (text/plain, inline)]
> I packaged quickly xserver-xorg-input-synaptics 0.5.2 but the problem is
> still  there.  I attached  to this  mail my  Xorg log  and configuration
> files. Does anyone has a solution to this annoying problem?

Hi,

I simply set the options for TapButton in xorg.conf and it seems to work for me.

[...]
        Option          "TapButton1"            "1"
        Option          "TapButton2"            "2"
        Option          "TapButton3"            "3"
[...]

See "man synaptics" for more info.

> (WW) SynPS/2 Synaptics TouchPad can't grab event device, errno=16

I still get this in my logs, so it's probably unrelated.

-- 
Cheers,
Sven Arvidsson
http://www.whiz.se
PGP Key ID 760BDD22
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Mon, 22 Sep 2008 21:12:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 22 Sep 2008 21:12:17 GMT) Full text and rfc822 format available.

Message #35 received at 497523@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sven Arvidsson <sa@whiz.se>
Cc: Paul Menzel <pm.debian@googlemail.com>, Vedran Furač <vedranf1@gmail.com>, 497523@bugs.debian.org
Subject: Re: Bug#497523: I can confirm this...
Date: Mon, 22 Sep 2008 23:10:38 +0200
On Mon, Sep 22, 2008 at 23:06:00 +0200, Sven Arvidsson wrote:

> > (WW) SynPS/2 Synaptics TouchPad can't grab event device, errno=16
> 
> I still get this in my logs, so it's probably unrelated.
> 
That's from the hotplugged device, not the one in xorg.conf.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Wed, 15 Oct 2008 07:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Matuszczak <markus.matuszczak@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 15 Oct 2008 07:15:04 GMT) Full text and rfc822 format available.

Message #40 received at 497523@bugs.debian.org (full text, mbox):

From: Markus Matuszczak <markus.matuszczak@googlemail.com>
To: 497523@bugs.debian.org
Subject: patch
Date: Wed, 15 Oct 2008 09:05:03 +0200
[Message part 1 (text/plain, inline)]
here ist a patch. i rebuild the package with this patch and it works for
me.

test it ...

-- 
use your brain and think about it

 /~\
C oo
_( ^)
/   ~\
http://konsumer.wordpress.com/

email: markus.matuszczak@googlemail.com
[02-enable-tapping-by-default.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Message sent on to Paul Menzel <pm.debian@googlemail.com>:
Bug#497523. (Sat, 11 Apr 2009 12:30:02 GMT) Full text and rfc822 format available.

Message #43 received at 497523-submitter@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: 497523-submitter@bugs.debian.org, Vedran Furač <vedranf1@gmail.com>, Sven Arvidsson <sa@whiz.se>
Subject: I have this too
Date: Sat, 11 Apr 2009 14:28:22 +0200
Hi,

For info, when upgrading to unstable synaptics yesterday (it's in 
unstable now!!), tapping is not recognised anymore as click.  After 
adding the three lines in xorg.conf, it works.

-- 
Eugen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Sat, 11 Apr 2009 20:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Arvidsson <sa@whiz.se>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 11 Apr 2009 20:18:05 GMT) Full text and rfc822 format available.

Message #48 received at 497523@bugs.debian.org (full text, mbox):

From: Sven Arvidsson <sa@whiz.se>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
Cc: 497523@bugs.debian.org, Vedran Furač <vedranf1@gmail.com>
Subject: Re: I have this too
Date: Sat, 11 Apr 2009 22:14:36 +0200
[Message part 1 (text/plain, inline)]
On Sat, 2009-04-11 at 14:28 +0200, Eugen Dedu wrote:
> Hi,
> 
> For info, when upgrading to unstable synaptics yesterday (it's in 
> unstable now!!), tapping is not recognised anymore as click.  After 
> adding the three lines in xorg.conf, it works.

This is because of an upstream policy change:



  * Tapping is disabled by default. I've gotten some flak about this but
    I maintain that it is the better choice. Tapping is enabled for
    those touchpads that don't have physical buttons though.

On the other hand, it's now possible to configure synaptics on the fly
(without using the SHM area) so even if you don't like this change, it's
easy to change the settings now. This bug can proably be closed.

See http://who-t.blogspot.com/2009/04/synaptics-11-and-what-your-touchpad-can.html
for more info on the new synaptics.

-- 
Cheers,
Sven Arvidsson
http://www.whiz.se
PGP Key ID 760BDD22
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Sat, 11 Apr 2009 21:48:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 11 Apr 2009 21:48:18 GMT) Full text and rfc822 format available.

Message #53 received at 497523@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: Sven Arvidsson <sa@whiz.se>
Cc: 497523@bugs.debian.org, Vedran Furač <vedranf1@gmail.com>
Subject: Re: I have this too
Date: Sat, 11 Apr 2009 23:44:12 +0200
Sven Arvidsson wrote:
> On Sat, 2009-04-11 at 14:28 +0200, Eugen Dedu wrote:
>> Hi,
>>
>> For info, when upgrading to unstable synaptics yesterday (it's in 
>> unstable now!!), tapping is not recognised anymore as click.  After 
>> adding the three lines in xorg.conf, it works.
> 
> This is because of an upstream policy change:
> 
> 
> 
>   * Tapping is disabled by default. I've gotten some flak about this but
>     I maintain that it is the better choice. Tapping is enabled for
>     those touchpads that don't have physical buttons though.

This is wrong.  I have a MacBookPro with only one button.  Tapping is 
not activated, so I do not have any method to right-click or middle-click.

-- 
Eugen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Sun, 12 Apr 2009 01:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 12 Apr 2009 01:48:02 GMT) Full text and rfc822 format available.

Message #58 received at 497523@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 497523@bugs.debian.org
Subject: NEWS?
Date: Sat, 11 Apr 2009 21:42:13 -0400
[Message part 1 (text/plain, inline)]
If upstream is really going to disable tapping by default, and Debian is
not going to see fit to override them, then at the very least
this needs to be well documented in the NEWS file.

It's very disconcerting to have tapping just stop working after
an upgrade, as happened to me today (to 1.1.0-1).

FWIW, I also lost edge scrolling, though I don't personally care about
that.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Sun, 12 Apr 2009 06:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 12 Apr 2009 06:36:03 GMT) Full text and rfc822 format available.

Message #63 received at 497523@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Joey Hess <joeyh@debian.org>, 497523@bugs.debian.org
Subject: Re: Bug#497523: NEWS?
Date: Sun, 12 Apr 2009 08:34:17 +0200
[Message part 1 (text/plain, inline)]
Quoting Joey Hess (joeyh@debian.org):
> If upstream is really going to disable tapping by default, and Debian is
> not going to see fit to override them, then at the very least
> this needs to be well documented in the NEWS file.
> 
> It's very disconcerting to have tapping just stop working after
> an upgrade, as happened to me today (to 1.1.0-1).


Seconded.

I'd appreciate any hint that would help me reinstating tapping. These
things are among the things that have always been working magically
for me, so I have no clue *at all* about where to look to reinstate
tapping.

So, in case there is a NEWS file, I think it should explain how to
restore a working tapping....though I would very much prefer that
things are kept as is, to respect the principle of least surprise.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Sun, 12 Apr 2009 06:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 12 Apr 2009 06:51:02 GMT) Full text and rfc822 format available.

Message #68 received at 497523@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Christian Perrier <bubulle@debian.org>, 497523@bugs.debian.org
Cc: Joey Hess <joeyh@debian.org>
Subject: Re: Bug#497523: NEWS?
Date: Sun, 12 Apr 2009 08:48:23 +0200
David actually wrote a NEWS entry about this yesterday:
   
http://git.debian.org/?p=pkg-xorg/driver/xserver-xorg-input-synaptics.git;a=commitdiff;h=598ae3fe8592f80e97f58a1c54822754dcd5378e

If anybody knows how to enable tapping at runtime with hal or xinput, we
can add it as well.

Brice


Christian Perrier wrote:
> Quoting Joey Hess (joeyh@debian.org):
>   
>> If upstream is really going to disable tapping by default, and Debian is
>> not going to see fit to override them, then at the very least
>> this needs to be well documented in the NEWS file.
>>
>> It's very disconcerting to have tapping just stop working after
>> an upgrade, as happened to me today (to 1.1.0-1).
>>     
>
>
> Seconded.
>
> I'd appreciate any hint that would help me reinstating tapping. These
> things are among the things that have always been working magically
> for me, so I have no clue *at all* about where to look to reinstate
> tapping.
>
> So, in case there is a NEWS file, I think it should explain how to
> restore a working tapping....though I would very much prefer that
> things are kept as is, to respect the principle of least surprise.
>
>
>   





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Sun, 12 Apr 2009 12:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Nusinow <dnusinow@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 12 Apr 2009 12:45:05 GMT) Full text and rfc822 format available.

Message #73 received at 497523@bugs.debian.org (full text, mbox):

From: David Nusinow <dnusinow@debian.org>
To: 497523@bugs.debian.org
Cc: Christian Perrier <bubulle@debian.org>, Joey Hess <joeyh@debian.org>
Subject: Re: Bug#497523: NEWS?
Date: Sun, 12 Apr 2009 08:42:53 -0400
Brice Goglin wrote:
> David actually wrote a NEWS entry about this yesterday:
>    
> http://git.debian.org/?p=pkg-xorg/driver/xserver-xorg-input-synaptics.git;a=commitdiff;h=598ae3fe8592f80e97f58a1c54822754dcd5378e
> 
> If anybody knows how to enable tapping at runtime with hal or xinput, we
> can add it as well.

Additionally, if people who actually have and use synaptics could check
the example in that entry and confirm that it works, I'd very much
appreciate it.

 - David Nusinow




Tags added: pending Request was from David Nusinow <dnusinow@debian.org> to control@bugs.debian.org. (Sun, 12 Apr 2009 12:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Sun, 12 Apr 2009 13:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nelson A. de Oliveira" <naoliv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 12 Apr 2009 13:18:03 GMT) Full text and rfc822 format available.

Message #80 received at 497523@bugs.debian.org (full text, mbox):

From: "Nelson A. de Oliveira" <naoliv@debian.org>
To: 497523@bugs.debian.org
Subject: Re: Bug#497523: NEWS?
Date: Sun, 12 Apr 2009 10:15:47 -0300
Hi!

On Sun, Apr 12, 2009 at 9:42 AM, David Nusinow <dnusinow@debian.org> wrote:
> Brice Goglin wrote:
>> David actually wrote a NEWS entry about this yesterday:
>>
>> http://git.debian.org/?p=pkg-xorg/driver/xserver-xorg-input-synaptics.git;a=commitdiff;h=598ae3fe8592f80e97f58a1c54822754dcd5378e
>>
>> If anybody knows how to enable tapping at runtime with hal or xinput, we
>> can add it as well.
>
> Additionally, if people who actually have and use synaptics could check
> the example in that entry and confirm that it works, I'd very much
> appreciate it.

Using

        Option "TouchpadOff" "2"

didn't work here.

I had to use this however:

        Option          "TapButton1"            "1"
        Option          "TapButton2"            "2"
        Option          "TapButton3"            "3"

If there is something that I can do to help (sending logs, etc),
please, just ask.

Thank you!

Best regards,
Nelson




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Sun, 12 Apr 2009 13:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 12 Apr 2009 13:24:02 GMT) Full text and rfc822 format available.

Message #85 received at 497523@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>, 497523@bugs.debian.org
Cc: Christian Perrier <bubulle@debian.org>, Joey Hess <joeyh@debian.org>
Subject: Re: Bug#497523: NEWS?
Date: Sun, 12 Apr 2009 14:22:43 +0100
On Sun, 2009-04-12 at 08:48 +0200, Brice Goglin wrote:
> David actually wrote a NEWS entry about this yesterday:
>    
> http://git.debian.org/?p=pkg-xorg/driver/xserver-xorg-input-synaptics.git;a=commitdiff;h=598ae3fe8592f80e97f58a1c54822754dcd5378e
> 
> If anybody knows how to enable tapping at runtime with hal or xinput, we
> can add it as well.

'synclient TapButton1=1' seems to work.  See also bug #523455.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Sun, 12 Apr 2009 13:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Nusinow <david@gravitypulls.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 12 Apr 2009 13:54:02 GMT) Full text and rfc822 format available.

Message #90 received at 497523@bugs.debian.org (full text, mbox):

From: David Nusinow <david@gravitypulls.net>
To: "Nelson A. de Oliveira" <naoliv@debian.org>, 497523@bugs.debian.org
Subject: Re: Bug#497523: NEWS?
Date: Sun, 12 Apr 2009 09:51:10 -0400
Nelson A. de Oliveira wrote:
> Hi!
> 
> On Sun, Apr 12, 2009 at 9:42 AM, David Nusinow <dnusinow@debian.org> wrote:
>> Brice Goglin wrote:
>>> David actually wrote a NEWS entry about this yesterday:
>>>
>>> http://git.debian.org/?p=pkg-xorg/driver/xserver-xorg-input-synaptics.git;a=commitdiff;h=598ae3fe8592f80e97f58a1c54822754dcd5378e
>>>
>>> If anybody knows how to enable tapping at runtime with hal or xinput, we
>>> can add it as well.
>> Additionally, if people who actually have and use synaptics could check
>> the example in that entry and confirm that it works, I'd very much
>> appreciate it.
> 
> Using
> 
>         Option "TouchpadOff" "2"
> 
> didn't work here.
> 
> I had to use this however:
> 
>         Option          "TapButton1"            "1"
>         Option          "TapButton2"            "2"
>         Option          "TapButton3"            "3"
> 
> If there is something that I can do to help (sending logs, etc),
> please, just ask.
> 
> Thank you!

This is perfect, I've just updated the NEWS entry accordingly. Thank you!

 - David Nusinow




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Mon, 13 Apr 2009 06:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 13 Apr 2009 06:42:02 GMT) Full text and rfc822 format available.

Message #95 received at 497523@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 497523@bugs.debian.org
Cc: Joey Hess <joeyh@debian.org>
Subject: Re: Bug#497523: NEWS?
Date: Mon, 13 Apr 2009 08:40:40 +0200
[Message part 1 (text/plain, inline)]
Quoting Julien Cristau (jcristau@debian.org):

> > If anybody knows how to enable tapping at runtime with hal or xinput, we
> > can add it as well.
> 
> 'synclient TapButton1=1' seems to work.  See also bug #523455.


That did nothing on my side (using that command in a shell window in
my KDE session). That's maybe because there is some other magic that I
didn't do...:-)...but I'm a very good example of a dummy user who just
want things to work (and who, btw, doesn't care at all whether HAL
should be enabled or not..:-))



[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Mon, 13 Apr 2009 21:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Huhardeaux <devel@tootai.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 13 Apr 2009 21:48:03 GMT) Full text and rfc822 format available.

Message #100 received at 497523@bugs.debian.org (full text, mbox):

From: Daniel Huhardeaux <devel@tootai.net>
To: 497523@bugs.debian.org
Subject: No luck
Date: Mon, 13 Apr 2009 23:44:40 +0200
Hi,

like Christian I can't get my touchpad to work :-( even after having 
modified my xorg.conf as explained is this thread.

-- 
Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Tue, 14 Apr 2009 07:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 14 Apr 2009 07:24:07 GMT) Full text and rfc822 format available.

Message #105 received at 497523@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: David Nusinow <david@gravitypulls.net>, 497523@bugs.debian.org
Cc: "Nelson A. de Oliveira" <naoliv@debian.org>
Subject: Re: Bug#497523: NEWS?
Date: Tue, 14 Apr 2009 07:02:14 +0200
[Message part 1 (text/plain, inline)]
Quoting David Nusinow (david@gravitypulls.net):

> > I had to use this however:
> > 
> >         Option          "TapButton1"            "1"
> >         Option          "TapButton2"            "2"
> >         Option          "TapButton3"            "3"
> > 
> > If there is something that I can do to help (sending logs, etc),
> > please, just ask.
> > 
> > Thank you!
> 
> This is perfect, I've just updated the NEWS entry accordingly. Thank you!


That last trick made it for me.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Thu, 16 Apr 2009 22:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 16 Apr 2009 22:30:03 GMT) Full text and rfc822 format available.

Message #110 received at 497523@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: 497523@bugs.debian.org
Subject: HAL way
Date: Fri, 17 Apr 2009 01:27:40 +0300
Hello,

rather than editing xorg.conf, one could add 
/etc/hal/fdi/policy/11-x11-synaptics.fdi like:

<?xml version="1.0" encoding="ISO-8859-1"?>
<deviceinfo version="0.2">
  <device>
    <match key="info.capabilities" contains="input.touchpad">
        <merge key="input.x11_options.TapButton1" type="string">1</merge>
        <merge key="input.x11_options.TapButton2" type="string">2</merge>
        <merge key="input.x11_options.TapButton3" type="string">3</merge>
    </match>
  </device>
</deviceinfo>

and restart hal/X. Could this be turned into debconf question?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Fri, 17 Apr 2009 08:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 17 Apr 2009 08:12:03 GMT) Full text and rfc822 format available.

Message #115 received at 497523@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Modestas Vainius <modestas@vainius.eu>, 497523@bugs.debian.org
Subject: Re: Bug#497523: HAL way
Date: Fri, 17 Apr 2009 10:06:36 +0200
On Fri, 2009-04-17 at 01:27 +0300, Modestas Vainius wrote:
> Could this be turned into debconf question?

I'd prefer for this to be configured on the desktop environment level,
rather than system-wide in hal (makes it easier to move from hal to
something else in the future, for one, and actually makes more sense
since this is essentially a user preference).

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Fri, 17 Apr 2009 08:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 17 Apr 2009 08:45:02 GMT) Full text and rfc822 format available.

Message #120 received at 497523@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: Julien Cristau <jcristau@debian.org>
Cc: 497523@bugs.debian.org
Subject: Re: Bug#497523: HAL way
Date: Fri, 17 Apr 2009 11:41:43 +0300
[Message part 1 (text/plain, inline)]
Hello,

On 2009 m. April 17 d., Friday 11:06:36 Julien Cristau wrote:
> I'd prefer for this to be configured on the desktop environment level,
> rather than system-wide in hal (makes it easier to move from hal to
> something else in the future, for one, and actually makes more sense
> since this is essentially a user preference).
Does a typical user expect tapping/vertical edge scrolling to work out-of-the-
box or not? I think the answer is definitely YES. So if upstream decided to 
disable it (for reasons I still barely understand), I think it is a good idea 
to offer a user to choose another default. At very least, this example is 
worth to be added to /usr/share/doc/xserver-xorg-input-synaptics/examples/ and 
a note in README.Debian.

The bad thing about configuration in DEs is that configuration usually becomes 
DE-only. I prefer xkb to be configured globally for the settings to be shared 
among DEs. The same applies to synaptics.

As for HAL, when it gets dropped, you will simply update the package.

-- 
Modestas Vainius <modestas@vainius.eu>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Fri, 17 Apr 2009 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 17 Apr 2009 09:48:03 GMT) Full text and rfc822 format available.

Message #125 received at 497523@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Modestas Vainius <modestas@vainius.eu>, 497523@bugs.debian.org
Subject: Re: Bug#497523: HAL way
Date: Fri, 17 Apr 2009 11:46:10 +0200
On Fri, 2009-04-17 at 11:41 +0300, Modestas Vainius wrote:
> Hello,
> 
> On 2009 m. April 17 d., Friday 11:06:36 Julien Cristau wrote:
> > I'd prefer for this to be configured on the desktop environment level,
> > rather than system-wide in hal (makes it easier to move from hal to
> > something else in the future, for one, and actually makes more sense
> > since this is essentially a user preference).
> Does a typical user expect tapping/vertical edge scrolling to work out-of-the-
> box or not? I think the answer is definitely YES. So if upstream decided to 
> disable it (for reasons I still barely understand), I think it is a good idea 
> to offer a user to choose another default. At very least, this example is 
> worth to be added to /usr/share/doc/xserver-xorg-input-synaptics/examples/ and 
> a note in README.Debian.
> 
A patch for that would certainly be appreciated.  Note that there's
already a NEWS entry about this in git, for which suggestions are also
welcome.

> The bad thing about configuration in DEs is that configuration usually becomes 
> DE-only. I prefer xkb to be configured globally for the settings to be shared 
> among DEs. The same applies to synaptics.
> 
> As for HAL, when it gets dropped, you will simply update the package.
> 
The problem with that if we make it a debconf choice is we'd need to
read whatever was configured
in /etc/hal/fdi/policy/synaptics-tapping.fdi or similar, and migrate it
to the new scheme, be it devicekit or whatever.  That means a lot of
code in the package that I'd rather avoid.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Thu, 23 Apr 2009 19:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 23 Apr 2009 19:06:02 GMT) Full text and rfc822 format available.

Message #130 received at 497523@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: 497523@bugs.debian.org
Subject: patch for documentation about hal stuff
Date: Thu, 23 Apr 2009 21:04:22 +0200
[Message part 1 (text/plain, inline)]
Hi,

> A patch for that would certainly be appreciated.  Note that there's
> already a NEWS entry about this in git, for which suggestions are also
> welcome.

A quick patch I could come up with.

Alex
[synaptics-changes_doc.patch (text/x-patch, attachment)]

Forcibly Merged 497523 513875. Request was from Mattia Dongili <malattia@linux.it> to control@bugs.debian.org. (Sun, 10 May 2009 06:03:02 GMT) Full text and rfc822 format available.

Forcibly Merged 497523 513875 523581. Request was from Mattia Dongili <malattia@linux.it> to control@bugs.debian.org. (Sun, 10 May 2009 06:54:02 GMT) Full text and rfc822 format available.

Forcibly Merged 497523 513545 513875 523581. Request was from Mattia Dongili <malattia@linux.it> to control@bugs.debian.org. (Sun, 10 May 2009 06:54:04 GMT) Full text and rfc822 format available.

Reply sent to Mattia Dongili <malattia@debian.org>:
You have taken responsibility. (Wed, 13 May 2009 15:27:18 GMT) Full text and rfc822 format available.

Notification sent to Paul Menzel <pm.debian@googlemail.com>:
Bug acknowledged by developer. (Wed, 13 May 2009 15:27:19 GMT) Full text and rfc822 format available.

Message #141 received at 497523-close@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@debian.org>
To: 497523-close@bugs.debian.org
Subject: Bug#497523: fixed in xserver-xorg-input-synaptics 1.1.1~git20090510-1
Date: Wed, 13 May 2009 15:20:12 +0000
Source: xserver-xorg-input-synaptics
Source-Version: 1.1.1~git20090510-1

We believe that the bug you reported is fixed in the latest version of
xserver-xorg-input-synaptics, which is due to be installed in the Debian FTP archive:

xserver-xorg-input-synaptics_1.1.1~git20090510-1.diff.gz
  to pool/main/x/xserver-xorg-input-synaptics/xserver-xorg-input-synaptics_1.1.1~git20090510-1.diff.gz
xserver-xorg-input-synaptics_1.1.1~git20090510-1.dsc
  to pool/main/x/xserver-xorg-input-synaptics/xserver-xorg-input-synaptics_1.1.1~git20090510-1.dsc
xserver-xorg-input-synaptics_1.1.1~git20090510-1_amd64.deb
  to pool/main/x/xserver-xorg-input-synaptics/xserver-xorg-input-synaptics_1.1.1~git20090510-1_amd64.deb
xserver-xorg-input-synaptics_1.1.1~git20090510.orig.tar.gz
  to pool/main/x/xserver-xorg-input-synaptics/xserver-xorg-input-synaptics_1.1.1~git20090510.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 497523@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mattia Dongili <malattia@debian.org> (supplier of updated xserver-xorg-input-synaptics package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 11 May 2009 23:08:15 +0900
Source: xserver-xorg-input-synaptics
Binary: xserver-xorg-input-synaptics
Architecture: source amd64
Version: 1.1.1~git20090510-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Mattia Dongili <malattia@debian.org>
Description: 
 xserver-xorg-input-synaptics - Synaptics TouchPad driver for X.Org server
Closes: 497523 498299 523946 525473
Changes: 
 xserver-xorg-input-synaptics (1.1.1~git20090510-1) unstable; urgency=low
 .
   [ David Nusinow ]
   * Add NEWS.Debian entry about enabling tapping again (closes: #497523)
 .
   [ Mattia Dongili ]
   * Link to xserver-xorg reportbug script
   * Merge current upstream fixes:
     - Edge calculation fixes bring back vertical scrolling (closes: #523946)
     - Fix float properties handling on 64bit arches (closes: #525473)
   * Remove Suggests for [kq]synaptics which are not in the repository anymore
     (closes: #498299) and suggest gpointing-device-settings (replacement of
     gsynaptics) and touchfreeze instead
   * Remove the upstream NEWS file which doesn't exist anymore
   * Updates to the README.Debian to make sure we mention how to customize the
     fdi configuration
Checksums-Sha1: 
 021596583d178e6809909936116519f1efa40b41 1638 xserver-xorg-input-synaptics_1.1.1~git20090510-1.dsc
 ddfa14c025d4acb43804e1786876a60baa7c0ec7 80330 xserver-xorg-input-synaptics_1.1.1~git20090510.orig.tar.gz
 33d0460678062c49f7c1022867b1b4e6e5c2e304 20567 xserver-xorg-input-synaptics_1.1.1~git20090510-1.diff.gz
 8f56a77bfbbe1dbbe04ed8b41cf3ab7cdf405ff5 64542 xserver-xorg-input-synaptics_1.1.1~git20090510-1_amd64.deb
Checksums-Sha256: 
 1131aa41452b9dca56a8f5e91930abed72661783b26ca05b629eb6ff4eed9c7f 1638 xserver-xorg-input-synaptics_1.1.1~git20090510-1.dsc
 5917a892840f4d23d7919b88f97dad072e1d86035a5cdef6c122f5531cf4508b 80330 xserver-xorg-input-synaptics_1.1.1~git20090510.orig.tar.gz
 31faaf8dae680a0b38c1ae769e3ba268c8956de63d13efe5c70a1ef31aa490d5 20567 xserver-xorg-input-synaptics_1.1.1~git20090510-1.diff.gz
 f78e62d0e1d15974136b73bf97885d0e3e29779828967e5c09d283a6b58ccb85 64542 xserver-xorg-input-synaptics_1.1.1~git20090510-1_amd64.deb
Files: 
 e6d593ae1bff7902dcb35de45cdb4523 1638 x11 optional xserver-xorg-input-synaptics_1.1.1~git20090510-1.dsc
 8c510d7855f0e25c1651bc30664a4d43 80330 x11 optional xserver-xorg-input-synaptics_1.1.1~git20090510.orig.tar.gz
 717c04e21366067017b6c99cd01b64bf 20567 x11 optional xserver-xorg-input-synaptics_1.1.1~git20090510-1.diff.gz
 301b472f95752c2609b7eabacf04a3a2 64542 x11 optional xserver-xorg-input-synaptics_1.1.1~git20090510-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkoK3E0ACgkQgpRPaOotLEFMvQCfQwCn6RC9wf6x531Uz58xbG2A
kvAAnj/eTHaCar2JeCKy5mvIkRzLbbCS
=2PYR
-----END PGP SIGNATURE-----





Reply sent to Mattia Dongili <malattia@debian.org>:
You have taken responsibility. (Wed, 13 May 2009 15:27:24 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Wed, 13 May 2009 15:27:24 GMT) Full text and rfc822 format available.

Reply sent to Mattia Dongili <malattia@debian.org>:
You have taken responsibility. (Wed, 13 May 2009 15:27:25 GMT) Full text and rfc822 format available.

Notification sent to Sam Morris <sam@robots.org.uk>:
Bug acknowledged by developer. (Wed, 13 May 2009 15:27:26 GMT) Full text and rfc822 format available.

Reply sent to Mattia Dongili <malattia@debian.org>:
You have taken responsibility. (Wed, 13 May 2009 15:27:28 GMT) Full text and rfc822 format available.

Notification sent to Nikos Kokkalis <nicolas@students.cs.unipi.gr>:
Bug acknowledged by developer. (Wed, 13 May 2009 15:27:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#497523; Package xserver-xorg-input-synaptics. (Fri, 05 Jun 2009 16:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 05 Jun 2009 16:45:06 GMT) Full text and rfc822 format available.

Message #161 received at 497523@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Modestas Vainius <modestas@vainius.eu>, 497523@bugs.debian.org, 497523-submitter@bugs.debian.org
Cc: Marc Haber <mh+debian-bugs@zugschlus.de>
Subject: Re: Bug#497523: HAL way
Date: Fri, 5 Jun 2009 18:43:56 +0200
On Fri, Apr 17, 2009 at 01:27:40AM +0300, Modestas Vainius wrote:
> rather than editing xorg.conf, one could add 
> /etc/hal/fdi/policy/11-x11-synaptics.fdi like:
> 
> <?xml version="1.0" encoding="ISO-8859-1"?>
> <deviceinfo version="0.2">
>   <device>
>     <match key="info.capabilities" contains="input.touchpad">
>         <merge key="input.x11_options.TapButton1" type="string">1</merge>
>         <merge key="input.x11_options.TapButton2" type="string">2</merge>
>         <merge key="input.x11_options.TapButton3" type="string">3</merge>
>     </match>
>   </device>
> </deviceinfo>
> 
> and restart hal/X.

That doesn't work on my system. The xorg.conf approach worked though.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835




Message sent on to Paul Menzel <pm.debian@googlemail.com>:
Bug#497523. (Fri, 05 Jun 2009 16:45:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 04 Jul 2009 07:34:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:41:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.